应不应该等 LTS

为什么要用 LTS

https://stackoverflow.com/questions/33661274/what-are-the-differences-between-long-term-support-lts-and-stable-versions-of

要理解差异,您需要了解为什么长期支持(LTS)版本的节点存在。

节点LTS主要面向企业使用,可能会有更多的抵抗频繁更新,广泛的采购程序和冗长的测试和质量要求。

来自Rod Vagg的Node LTS工作组成员:

为节点建立LTS计划的重点是建立在现有的稳定发布周期之上,通过在可预测的时间表上提供新的新版本,该计划具有明确定义的扩展支持生命周期。虽然这可能与“早期发布,经常发布”的开源传统似乎是不一致的,但它是企业应用开发和运营团队的基本要求。它也影响到为Node.js提供专业支持的公司。

https:[email protected][email protected]bn08

在其中一个评论中提到的官方Node文章也做了很好的解释:

https://nodejs.org/en/blog/community/node-v5/

有时会误解奇怪的版本号码版本(v5,v7)是下一个LTS版本的“beta”。这是在其他项目中使用的惯例,但不是在Node中使用,有点误导。事实上,下一个LTS版本是从当前版本的特定点发行版中选择的,通常是一个偶数版本版本(v6,v8)。这不是最新的版本是贝塔 – 这是LTS发布满足一些组织具体的需求。

有关参考资料,请参阅Firefox的扩展支持版本( https://www.mozilla.org/en-US/firefox/organizations/faq/)或Ubuntu的LTS版本(https://wiki.ubuntu.com/LTS)
。我不认为任何人会建议最新版本的Firefox是beta版,大多数用户应该坚持使用较旧的ERS版本。

一般来说,如果你能够跟上最新的稳定和未来的节点版本,你应该这样做。这些都是稳定和生产就绪的版本,具有出色的社区支持。不稳定和实验功能保留在构建和运行时标志之后,不应影响您的日常操作。

一般来说,我总是倾向于最新版本的功能和性能(正如我现在分配的ES6 / ES7)

这将给我建议,稳定版本和更高版本将适合您的需求。这将为您提供访问底层JavaScript引擎(V8或Chakra)提供的最新和最大的语言功能

值得注意的是,v4(和更早版本)和v5之间的显着差异在于v4配有npm v2,而v5则带有npm v3。 v3的npm对于您的项目如何处理peerDependencies有一些潜在的突破性变化。 npm v3现在尝试安装一个依赖的自己的依赖关系尽可能平坦,并避免重复可能会影响您的项目,但对于Windows用户来说,这是一个很大的福音,因此这也可能会影响您的决策。

Lanvige's Zen Garden稿源:Lanvige's Zen Garden (源链) | 关于 | 阅读提示

本站遵循[CC BY-NC-SA 4.0]。如您有版权、意见投诉等问题,请通过eMail联系我们处理。
酷辣虫 » 综合编程 » 应不应该等 LTS

喜欢 (0)or分享给?

专业 x 专注 x 聚合 x 分享 CC BY-NC-SA 4.0

使用声明 | 英豪名录

登录

忘记密码 ?

切换登录

注册